# modav

~~~
modav: Monter un répertoire sur un hôte distant avec davfs

USAGE
    modav http[s]://host[/path] [mountpoint]

Par défaut, le répertoire distant est montée sur un répertoire avec le même nom
de base que l'hôte. Si le répertoire distant est déjà monté, il est démonté.
Les options -M et -U permettent de modifier le comportement par défaut.

OPTIONS
    -M
        Forcer le montage
    -U
        Forcer le démontage
    -o OPTIONS
        Ajouter les options spécifiées à la commande de montage
    -u USERNAME
    -p PASSWORD
    -c USERNAME:PASSWORD
        Si les credentials à utiliser ne sont pas configuré dans le fichier
        /etc/davfs2/secrets, cette option permet de les spécifier. Si cette
        option est utilisée, il est possible de rajouter
            ask_auth 0
        dans le fichier /etc/davfs2/davfs2.conf pour éviter le conflit qui se
        produit quand des informations sont demandées interactivement. C'est le
        cas par exemple si une connexion en https est faite et que la chaine de
        certification n'est pas configurée. Pour mémoire, cela se fait avec
            servercert myCAs.pem
        dans le fichier /etc/davfs2/davfs2.conf
        Bien entendu, il est préférable de configurer les credentials dans le
        fichier /etc/davfs2/secrets avec la syntaxe
            url         username    password
        ou
            mountpoint  username    password
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary